Author: Kuznetsova E. <eakuznetsova@cosmos.ru>, Shtykovsky A.

# arttools

This package contains ART-XC data processing tools. The package will be updated with other tools as they are created.

## arttime

At the current moment artools contains only arttime module. The arttime tool allows to calculate artdays and/or mission time based on Moscow time (and UTC) or MJD and convert them to each other. 

Warning: This tool should not be used to precisely convert of onboard time to real time. 	

### To install:

Clone the repo to your computer::

```
git clone http://heagit.cosmos.ru:3000/kea/arttools arttools/
```

Enter the repo and install it with:: 

```
cd <PATH_TO_ARTTOOLS>
pip intstall .
```

### To invoke

```
from arttools import arttime
```

### To use:

```
aday = arttime.ArtTime(artday=8000)
aday.artday 
aday.missiontime 
aday.mjd
aday.datetime_utc
aday.datetime_msk
print(aday)
```

Available arguments:

+ artday       - ART-XC days
+ missiontime  - Mission time - onboard ART-XC seconds
+ mjd          - MJD
+ datetime_utc - Date time based on UTC time zone
+ datetime_msk - Date time based on Moscow time zone (UTC+3)

### Usage CLI

```
$ arttime --artday=8000 
$ arttime --missiontime=691200000
$ arttime --mjd=59543.875
$ arttime --datetime_utc=2021-11-25T21:00:00 
$ arttime --datetime_msk=2021-11-26T00:00:00 
```

Available parameters:

+ --artday (--aday)         - ART-XC days
+ --missiontime (--mtime)   - Mission time - onboard ART-XC seconds
+ --mjd                     - MJD
+ --datetime_utc (--dt_utc) - Date time based on UTC time zone
+ --datetime_msk (--dt_msk) - Date time based on Moscow time zone (UTC+3)